<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.ekp.mapper.EkpRiskInfoMapper">

  <resultMap id="ekpRiskInfoMap" type="com.yifu.cloud.plus.v1.ekp.entity.EkpRiskInfo">
    <id property="fdId" column="fd_id"/>
    <result property="fd_3adfef5e5b9d34" column="fd_3adfef5e5b9d34"/>
    <result property="fd_3adfef5eb6691c" column="fd_3adfef5eb6691c"/>
    <result property="fd_3adfef7f5d2b52" column="fd_3adfef7f5d2b52"/>
    <result property="fd_3adfef80202ab2" column="fd_3adfef80202ab2"/>
    <result property="fd_3adfef7fc1c886" column="fd_3adfef7fc1c886"/>
    <result property="fd_3adda3037e3bda" column="fd_3adda3037e3bda"/>
    <result property="fd_3adda320daef5a" column="fd_3adda320daef5a"/>
    <result property="fd_3adfef948da848" column="fd_3adfef948da848"/>
    <result property="fd_3adfef94dcdbb4" column="fd_3adfef94dcdbb4"/>
    <result property="fd_3adfef963bae28" column="fd_3adfef963bae28"/>
    <result property="fd_3adfefa3daae72" column="fd_3adfefa3daae72"/>
    <result property="fd_3adfefaaa3bbd0" column="fd_3adfefaaa3bbd0"/>
    <result property="fd_3adfefaaef583e" column="fd_3adfefaaef583e"/>
    <result property="fd_3ae0c3032cffc8" column="fd_3ae0c3032cffc8"/>
    <result property="fd_3ae0c3044e5958" column="fd_3ae0c3044e5958"/>
    <result property="fd_3aead7204bb594" column="fd_3aead7204bb594"/>
    <result property="fd_3aeae59b70fe5a" column="fd_3aeae59b70fe5a"/>
    <result property="fd_3b0b7210ce9432" column="fd_3b0b7210ce9432"/>
    <result property="fd_3b13b218b76a36" column="fd_3b13b218b76a36"/>
    <result property="fd_3b13b2093b95ec" column="fd_3b13b2093b95ec"/>
    <result property="fd_3b13db120a8224" column="fd_3b13db120a8224"/>
    <result property="fd_3b16e4cd2c9a86_text" column="fd_3b16e4cd2c9a86_text"/>
    <result property="fd_3b16e4cd2c9a86" column="fd_3b16e4cd2c9a86"/>
    <result property="fd_3b3bf0c3198840" column="fd_3b3bf0c3198840"/>
    <result property="fd_3b3e4252b16714" column="fd_3b3e4252b16714"/>
    <result property="createTime" column="create_time"/>
  </resultMap>


	<!--查询项目信息-->
	<select id="getEkpDeptInfoByNo" resultType="com.yifu.cloud.plus.v1.ekp.vo.EkpDeptInfoVo">
		SELECT
			a.fd_id as fdId,
			a.fd_3b1480cd9dcb60 as settleType,
			a.fd_3b15f64dd59a28 as isBpo,
			a.fd_3b13b2b48cc506 as socialType,
			a.fd_3a2b38c61ef9aa as deptName,
			a.fd_3a37fe508071fe as deptNo
		from ekp_24a8e6a7fc143bb8c48a a
		where a.fd_3a37fe508071fe = #{deptNo} limit 1
	</select>
</mapper>
